Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236007 - yumdownloader returns error when using --resolve option
Summary: yumdownloader returns error when using --resolve option
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 14:09 UTC by Bruno Oliveira
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-03 20:20:50 UTC


Attachments (Terms of Use)

Description Bruno Oliveira 2007-04-11 14:09:23 UTC
Description of problem:
Problem when using the --resolve option with yumdownloader (yum-utils)

Version-Release number of selected component (if applicable):
yum-utils-1.0.3-1.fc6.noarch.rpm

How reproducible:
yumdownloader <package> --resolve
  
Actual results:
[root@bnogueira gmplayer]# yumdownloader mplayer --resolve
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 191, in ?
    main()
  File "/usr/bin/yumdownloader", line 159, in main
    if not pkg in toDownload:
  File "/usr/lib/python2.4/site-packages/yum/packages.py", line 191, in __eq__
    if other == None: 
  File "/usr/lib/python2.4/site-packages/yum/transactioninfo.py", line 403, in
__cmp__
    if self.name > other.name:
AttributeError: 'NoneType' object has no attribute 'name'
[root@bnogueira gmplayer]#

Comment 1 warren 2007-04-11 14:14:19 UTC
i get the same error:

# yumdownloader --resolve mplayer
livna                     100% |=========================| 1.1 kB    00:00     
core                      100% |=========================| 1.1 kB    00:00     
updates                   100% |=========================| 1.2 kB    00:00     
extras                    100% |=========================| 1.1 kB    00:00     
primary.xml.gz            100% |=========================| 502 kB    00:01     
updates   : ################################################## 1215/1215
primary.xml.gz            100% |=========================| 1.6 MB    00:03     
extras    : ################################################## 5078/5078
mplayer-1.0-0.72.20070325 100% |=========================|  17 kB    00:00     
lzo-2.02-2.fc6.i386.rpm   100% |=========================| 4.0 kB    00:00     
enca-1.9-3.fc6.i386.rpm   100% |=========================| 7.9 kB    00:00     
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 191, in ?
    main()
  File "/usr/bin/yumdownloader", line 159, in main
    if not pkg in toDownload:
  File "/usr/lib/python2.4/site-packages/yum/packages.py", line 191, in __eq__
    if other == None: 
  File "/usr/lib/python2.4/site-packages/yum/transactioninfo.py", line 403, in
__cmp__
    if self.name > other.name:
AttributeError: 'NoneType' object has no attribute 'name'


Comment 2 Jeremy Katz 2007-04-16 14:54:30 UTC
What version of yum do you have installed?

Comment 3 Bruno Oliveira 2007-04-16 15:11:12 UTC
[bruno@bnogueira ~]$ yum --version
3.0.5


Comment 4 Jeremy Katz 2007-04-16 15:54:25 UTC
Can you try with 3.0.6 in updates-testing?  I'm pretty sure I saw Tim commit
something for this

Comment 5 Seth Vidal 2007-08-03 20:20:50 UTC
closing insufficient data
reopen if you can provide the information


Note You need to log in before you can comment on or make changes to this bug.